%global __provides_exclude_from %{_libdir}/%{name}/modules/.*\\.so

Name:		irssi
Version:	1.0.2
Release:	%mkrel 1
Summary:	IRC client
License:	GPLv2+
Group:		Networking/IRC
URL:		http://irssi.org/
Source0:	https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	ncurses-devel
BuildRequires:	glib2-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
Recommends:	irssi-perl

%description
Irssi is a modular and flexible IRC client for UNIX that has only a text mode
user interface (but as 80-90% of the code isn't text mode specific, other UIs
could be created pretty easily). Also, Irssi isn't really even IRC specific
anymore, there are already working SILC and ICB modules available. Support for
other protocols like ICQ and Jabber could be created some day too.

Irssi is one of the most popular IRC clients at the moment.

%package	devel
Group:		Development/C
Summary:	Static libraries for the development of irssi applications
Requires:	%{name} = %{version}

%description	devel
Static libraries for the development of irssi applications.

%package	perl
Group:		Networking/IRC
Summary:	Perl plugin for irssi
Requires:	%{name} = %{version}
Conflicts:	perl-silc

%description	perl
Perl plugin for irssi.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--with-proxy \
	--with-socks \
	--with-bot \
	--with-perl=module \
	--with-perl-lib=%{perl_vendorlib} \
	--enable-true-color
%make_build

%install
%make_install

# Files that should not be installed:
rm -f %{buildroot}%{perl_vendorarch}/perllocal.pod

rm -rf installed_docs
mv %{buildroot}%{_docdir}/%{name} installed_docs

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS README.md TODO NEWS installed_docs/*
%{_bindir}/*
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/scripts/
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules/libirc_proxy.so
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*

%files devel
%{_includedir}/%{name}/

%files perl
%{_libdir}/%{name}/modules/libfe_perl.so
%{_libdir}/%{name}/modules/libperl_core.so
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/*
%{_datadir}/%{name}/scripts/


%changelog
* Sun Mar 12 2017 wally <wally> 1.0.2-1.mga6
+ Revision: 1092144
- new version 1.0.2

* Mon Feb 06 2017 wally <wally> 1.0.1-1.mga6
+ Revision: 1085007
- new version 1.0.1

* Thu Jan 19 2017 neoclust <neoclust> 1.0.0-2.mga6
+ Revision: 1082460
- Remove Patch0 in description

* Wed Jan 18 2017 wally <wally> 1.0.0-1.mga6
+ Revision: 1082258
- new version 1.0.0
- enable 24bit color support

* Sun Jan 08 2017 wally <wally> 0.8.21-1.mga6
+ Revision: 1080691
- new version 0.8.21 to fix CVE-2017-519[3-6] (mga#20078)
- disable static build and drop .la files
- exclude plugin .so from provides
- clean installed docs

* Wed Nov 16 2016 neoclust <neoclust> 0.8.20-2.mga6
+ Revision: 1067518
- Add P0: Fix CVE-2016-7553

* Fri Sep 23 2016 solbu <solbu> 0.8.20-1.mga6
+ Revision: 1055578
- New version: 0.8.20

* Tue May 10 2016 tv <tv> 0.8.19-1.mga6
+ Revision: 1012145
- new relese
- fix source URL

* Wed Mar 02 2016 umeabot <umeabot> 0.8.17-3.mga6
+ Revision: 983520
- Rebuild for openssl

* Wed Dec 16 2015 wally <wally> 0.8.17-2.mga6
+ Revision: 911057
- irssi-perl: relax perl requires

* Wed Jul 01 2015 solbu <solbu> 0.8.17-1.mga6
+ Revision: 849373
- New version: 0.8.17

* Thu Jun 25 2015 tv <tv> 0.8.16-6.mga6
+ Revision: 843575
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 0.8.16-5.mga6
+ Revision: 840594
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.8.16-4.mga5
+ Revision: 743600
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tv <tv> 0.8.16-3.mga5
+ Revision: 722646
- rebuild for new perl

* Tue Sep 16 2014 umeabot <umeabot> 0.8.16-2.mga5
+ Revision: 680569
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Aug 03 2014 solbu <solbu> 0.8.16-1.mga5
+ Revision: 659335
- New version

* Tue Jun 03 2014 pterjan <pterjan> 0.8.15-20.mga5
+ Revision: 630781
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 0.8.15-19.mga5
+ Revision: 540745
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 solbu <solbu> 0.8.15-18.mga4
+ Revision: 494247
- Rebuild for ncurses/tinfo split

* Fri Aug 23 2013 tv <tv> 0.8.15-17.mga4
+ Revision: 469925
- rebuild for new perl

* Wed May 29 2013 fwang <fwang> 0.8.15-16.mga4
+ Revision: 430398
- rebuild for new perl

* Sun Mar 17 2013 tv <tv> 0.8.15-15.mga3
+ Revision: 403553
- rebuild for new perl

* Sat Jan 12 2013 umeabot <umeabot> 0.8.15-14.mga3
+ Revision: 354499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 tv <tv> 0.8.15-13.mga3
+ Revision: 314463
- rebuild for new perl

* Thu Aug 23 2012 jquelin <jquelin> 0.8.15-12.mga3
+ Revision: 283288
- perl 5.16.1 rebuild

* Wed May 30 2012 jquelin <jquelin> 0.8.15-11.mga3
+ Revision: 250792
- perl 5.16 rebuild

* Fri Nov 04 2011 jquelin <jquelin> 0.8.15-10.mga2
+ Revision: 162704
- requiring exact perl version, otherwise perl upgrades breaks irssi-perl

* Sun Oct 16 2011 jquelin <jquelin> 0.8.15-9.mga2
+ Revision: 155491
- perl 5.14.2 rebuild

* Tue Jul 12 2011 jquelin <jquelin> 0.8.15-8.mga2
+ Revision: 123106
- perl 5.14.1 rebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.8.15-6.mga2
+ Revision: 60374
- rebuild

* Sun Jan 09 2011 kharec <kharec> 0.8.15-5.mga1
+ Revision: 2025
- imported package irssi

